"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MeetingHudCloseEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when the current meeting closes.
 *
 * To listen for when a meeting actually ends and when a player gets ejected,
 * see {@link MeetingHudVotingCompleteEvent}.
 */
class MeetingHudCloseEvent extends events_1.CancelableEvent {
    constructor(room, meetinghud, message) {
        super();
        this.room = room;
        this.meetinghud = meetinghud;
        this.message = message;
        this.eventName = "meeting.close";
    }
}
exports.MeetingHudCloseEvent = MeetingHudCloseEvent;
MeetingHudCloseEvent.eventName = "meeting.close";
//# sourceMappingURL=Close.js.map